Bug 771733 - include icfg package in anaconda
include icfg package in anaconda
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 14:14 EST by Neil Horman
Modified: 2013-07-04 09:00 EDT (History)
7 users (show)

See Also:
Fixed In Version: lorax-17.12-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-14 06:03:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2012-01-04 14:14:54 EST
Description of problem:
the icfg package (bz 766932) has recently been added to fedora.  This utility was requested by various individuals as a convenience tools for working with icfg-* files in an easily scriptable fasion (it allows for, among other things, the creation of interface files for bonds/bridges/vlans, as well as operations on them that would otherwise require manual editing of multiple files (like enslaving of slaves to bonds).  With this tool, users can easily create various interface types in the %post section of kickstart scripts, without having to cobble together a series of sed and/or awk statements.  As such I think it would be nice if we included this package as part of the anaconda initrd.  Its a few hundred lines of python code, so its small, and doesn't have any other dependencies on it, making it very suitable to such an environment.
Comment 1 Fedora Update System 2012-03-16 18:46:25 EDT
lorax-17.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lorax-17.10-1.fc17
Comment 2 Fedora Update System 2012-03-21 21:03:20 EDT
lorax-17.12-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lorax-17.12-1.fc17
Comment 3 Fedora Update System 2012-03-23 13:43:30 EDT
lorax-17.12-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.